## org.eclipse.datatools.sqltools.db.derby.ui
Class DerbyUIConfiguration

    java.lang.Object
      org.eclipse.datatools.sqltools.editor.ui.core.SQLDevToolsUIConfiguration
          org.eclipse.datatools.sqltools.db.generic.ui.GenericDBUIConfiguation
              org.eclipse.datatools.sqltools.db.derby.ui.DerbyUIConfiguration

    public class DerbyUIConfiguration

extends org.eclipse.datatools.sqltools.db.generic.ui.GenericDBUIConfiguation

Field Summary

Fields inherited from class org.eclipse.datatools.sqltools.editor.ui.core.SQLDevToolsUIConfiguration
`DefaultDBFactory_vendor`

Constructor Summary
`DerbyUIConfiguration()`

Method Summary

Methods inherited from class org.eclipse.datatools.sqltools.db.generic.ui.GenericDBUIConfiguation
`getActionService, getSQLEditorUIService`

Methods inherited from class org.eclipse.datatools.sqltools.editor.ui.core.SQLDevToolsUIConfiguration
`getDatabaseVendorDefinitionId, getDefaultInstance, getPlanService, getSQLUIService, getTemplateService, getUIComponentService, setDatabaseVendorDefinitionId`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DerbyUIConfiguration

    public DerbyUIConfiguration()